Skip to main content
`Ctrl`+`K`

# STScaleShift

Multiply the shift by a given factor.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STScaleShift(ST st,PetscScalar factor)

Logically Collective

## Input Parameters

- st - the spectral transformation context

- factor - the scaling factor

## Note

This function does not update the transformation matrices, as opposed to `STSetShift()`.

## See Also

ST: Spectral Transformation, `STSetShift()`

## Level

developer

## Location

src/sys/classes/st/interface/stfunc.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages